<template>
  <el-row class="page-contests__body">
    <el-col :lg="{ span: 18, offset: 3 }">
      <h1 class="text-center">
        Đăng nhập trang quản trị
      </h1>

      <el-row>
        <el-col :sm="{ span: 12, offset: 6 }">
          <el-form ref="form" method="POST" action="/auth/login" :model="form">
            <el-form-item prop="username" label="Tên đăng nhập">
              <el-input v-model="form.username" required />
            </el-form-item>
            <el-form-item prop="password" label="Mật khẩu">
              <el-input v-model="form.password" type="password" required />
            </el-form-item>

            <el-form-item class="text-center">
              <el-button type="primary" @click="submit">
                Đăng nhập
              </el-button>
            </el-form-item>
          </el-form>
        </el-col>
      </el-row>
    </el-col>
  </el-row>
</template>

<script>
import { login } from '~/api/auth'

export default {
  layout: 'blank',

  data: () => ({
    form: {
      username: 'admin@gmail.com',
      password: 'secret'
    }
  }),

  methods: {
    submit () {
      this.$refs.form.validate(async (valid) => {
        if (!valid) { return this.$message.error('Your accounts does not exist.') }

        try {
          await login(this.form)
          window.location = '/dashboard'
        } catch (e) {
          return this.$message.error('Your accounts does not exist.')
        }
      })
    }
  }
}
</script>
